Create a namespace checkbox for "Default"
Closed, ResolvedPublic5 Story Points

Description

Motivation
We currently do not have a way to select the default namespaces unless we start out with them. Also we do not communicate anywhere what group of namespaces is selected when the default namepaces are selected.

Task
Create a check box named "Default" that adds (or removes) the default namespaces selected by the user in their preferences or, if not available, the default namespaces of the wiki to the list of namespaces being searched.

MOCK:

Acceptance Criteria

  • There is new checkbox called default (position see mock)
  • when all namespaces associated with the currently active default (e.g. user preference or wiki default profile) are included, the checkbox is checked.
  • if you click the active checkbox, all namespaces associated with this checkbox are removed, the checkbox becomes unchecked

[x] when some or none (but not all) of the associated namespaces are currently included the checkbox is unchecked

  • if you click the checkbox in this state, all namespaces not currently included in the search are included, the checkbox becomes checked.
  • if the "all" checkbox is selected, this checkbox is also selected (since all namespaces are included)
  • this checkbox is checked when first arriving at advanced search and there are no namespaces in the URL.
  • This checkbox is checked upon showing results after conducting a search with no namespaces selected.

Related Objects

Mentioned In
rEASR5380917de4d7: Fix "Default" checkbox not appearing because of rigorous filtering
rEASR0c9600b07579: Fix "Default" checkbox not appearing because of rigorous filtering
rEASR061982645619: Fix "Default" checkbox not appearing because of rigorous filtering
rEASR044f07a3a3a1: Fix "Default" checkbox placement
rEASR7bc5b858296d: Fix "Default" checkbox placement and rigorous filtering
rEASR28d809c246f3: Create new namespace checkbox called Default
rEASR79993367fca2: Rewrite incomplete setSearchNamespaceOptions helper function
rEASR9a7b07bc657e: Create new namespace checkbox called Default
rEASRf9cfeb646ca7: Create new namespace checkbox called Default
rEASR995fa020d96a: Create new namespace checkbox called Default
rEASRc1e1ec9667fc: Rewrite incomplete setSearchNamespaceOptions helper function
rEASR856e20aa6d6c: [WIP] Create new namespace checkbox called Default
rEASRc86b69d8c6b3: [WIP] Create new namespace checkbox called Default
rEASRf8393539c081: [WIP] Create new namespace checkbox called Default
rEASRda8c52d064d1: [WIP] Create new namespace checkbox called Default
rEASRdd75cd278d9d: Rewrite incomplete setSearchNamespaceOptions helper function
rEASRa260f0db3e4d: [WIP] Create new namespace checkbox called Default
rEASR279d905d1140: [WIP] Create new namespace checkbox called Default
rEASRfc3a1cf550e7: Rewrite incomplete setSearchNamespaceOptions helper function
rEASR67dcdef1a743: Rewrite incomplete setSearchNamespaceOptions helper function
rEASR65ac82697768: [WIP] Create new namespace checkbox called Default
rEASR6b65a46d32da: [WIP] Create new namespace checkbox called Default
rEASRae76243c9676: [WIP] Create new namespace checkbox called Default
rEASRd88cac1e1acc: [WIP] Create new namespace checkbox called Default
T189130: Allow an empty namespace bar
rEASRa5cfb52333b2: Remove enforced main (article) namespace
rEASR2d1b04ebe681: Remove enforced main (article) namespace
rEASReac52f3f8f75: Remove enforced main (article) namespace
rEASR54af2954f706: [WIP] Remove enforced main (article) namespace
T187911: Fallback namespaces are what has been defined in user preferences
Restricted Application added projects: TCB-Team, Design. · View Herald TranscriptFeb 28 2018, 2:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Charlie_WMDE updated the task description. (Show Details)Feb 28 2018, 3:14 PM
Lea_WMDE triaged this task as Normal priority.Mar 7 2018, 2:41 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 5.
aniansson claimed this task.
aniansson added a subscriber: aniansson.

Will start, but will most probably need some help later on :)

aniansson updated the task description. (Show Details)Mon, Mar 26, 10:10 AM

Change 422121 had a related patch set uploaded (by Ebba Aniansson; owner: Ebba Aniansson):
[mediawiki/extensions/AdvancedSearch@master] [WIP] Create new namespace checkbox called Default

https://gerrit.wikimedia.org/r/422121

aniansson updated the task description. (Show Details)Wed, Mar 28, 2:34 PM
aniansson updated the task description. (Show Details)
aniansson updated the task description. (Show Details)Wed, Mar 28, 2:36 PM

Change 422437 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Rewrite incomplete setSearchNamespaceOptions helper function

https://gerrit.wikimedia.org/r/422437

aniansson moved this task from Review to Doing on the WMDE-FUN-Sprint-2018-03-21 board.
Tonina_Zhelyazkova_WMDE removed aniansson as the assignee of this task.Thu, Mar 29, 1:08 PM

Change 422437 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Rewrite incomplete setSearchNamespaceOptions helper function

https://gerrit.wikimedia.org/r/422437

Change 422121 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Create new namespace checkbox called Default

https://gerrit.wikimedia.org/r/422121

Change 422950 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Fix "Default" checkbox placement and rigorous filtering

https://gerrit.wikimedia.org/r/422950

Change 422958 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Fix "Default" checkbox placement

https://gerrit.wikimedia.org/r/422958

Change 422958 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Fix "Default" checkbox placement

https://gerrit.wikimedia.org/r/422958

Change 422950 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Fix "Default" checkbox not appearing because of rigorous filtering

https://gerrit.wikimedia.org/r/422950

Lea_WMDE closed this task as Resolved.Wed, Apr 4, 2:01 PM